JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.util
Class SparseArrayElement

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.util.SparseArrayElement

Direct Known Subclasses:
  ObjectSparseArrayElement

public class SparseArrayElement
extends java.lang.Object

The elements that make up the sparse array.

Constructor Summary
`protected` `SparseArrayElement()`

Method Summary
`protected void` `dropped()` Method called when the element is returned to the array.
`boolean` `equals(java.lang.Object obj)`
`long` `getID()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SparseArrayElement

    protected SparseArrayElement()

Method Detail

### getID

    public long getID()

  Returns:
    The unique identifier.

### dropped

    protected void dropped()

  Method called when the element is returned to the array.

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002